org.bdgenomics.adam.cli

# TransformAlignmentsArgs

#### class TransformAlignmentsArgs extends Args4jBase with ADAMSaveAnyArgs with ParquetArgs

Linear Supertypes
ParquetArgs, ADAMSaveAnyArgs, SaveArgs, ParquetRDDArgs, Args4jBase, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. TransformAlignmentsArgs
2. ParquetArgs
3. ADAMSaveAnyArgs
4. SaveArgs
5. ParquetRDDArgs
6. Args4jBase
7. AnyRef
8. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Instance Constructors

1. #### new TransformAlignmentsArgs()

### Value Members

1. #### final def !=(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

2. #### final def !=(arg0: Any): Boolean

   Definition Classes
     Any

3. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

4. #### final def ==(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

5. #### final def ==(arg0: Any): Boolean

   Definition Classes
     Any

6. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

7. #### var asSingleFile: Boolean

   Definition Classes
     TransformAlignmentsArgs → ADAMSaveAnyArgs

8. #### var binQualityScores: String

9. #### var blockSize: Int

   Definition Classes
     ParquetArgs → ParquetRDDArgs

10. #### var cache: Boolean

11. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

12. #### var coalesce: Int

13. #### var command: String

14. #### var compressionCodec: CompressionCodecName

    Definition Classes
      ParquetArgs → ParquetRDDArgs

15. #### var concatFilename: String

16. #### var deferMerging: Boolean

    Definition Classes
      TransformAlignmentsArgs → ADAMSaveAnyArgs

17. #### var disableDictionaryEncoding: Boolean

    Definition Classes
      ParquetArgs → ParquetRDDArgs

18. #### var disableFastConcat: Boolean

    Definition Classes
      TransformAlignmentsArgs → ADAMSaveAnyArgs

19. #### var disableProcessingStep: Boolean

20. #### var doPrintUsage: Boolean

    Definition Classes
      Args4jBase

21. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

22. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

23. #### var fastqRecordGroup: String

24. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

25. #### var forceLoadBam: Boolean

26. #### var forceLoadFastq: Boolean

27. #### var forceLoadIFastq: Boolean

28. #### var forceLoadParquet: Boolean

29. #### var forceShuffle: Boolean

30. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

31. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

32. #### var inputPath: String

33. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

34. #### var knownIndelsFile: String

35. #### var knownSnpsFile: String

36. #### var limitProjection: Boolean

37. #### var locallyRealign: Boolean

38. #### var lodThreshold: Double

39. #### var logLevel: String

    Definition Classes
      ParquetArgs

40. #### var markDuplicates: Boolean

41. #### var maxConsensusNumber: Int

42. #### var maxIndelSize: Int

43. #### var maxReadsPerTarget: Int

44. #### var maxTargetSize: Int

45. #### var mdTagsFragmentSize: Long

46. #### var mdTagsOverwrite: Boolean

47. #### var mdTagsReferenceFile: String

48. #### var minAcceptableQuality: Int

49. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

50. #### final def notify(): Unit

    Definition Classes
      AnyRef

51. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

52. #### var outputPath: String

    Definition Classes
      TransformAlignmentsArgs → SaveArgs

53. #### var pageSize: Int

    Definition Classes
      ParquetArgs → ParquetRDDArgs

54. #### var pairedFastqFile: String

55. #### var printMetrics: Boolean

    Definition Classes
      Args4jBase

56. #### var recalibrateBaseQualities: Boolean

57. #### var reference: String

58. #### var regionPredicate: String

59. #### var repartition: Int

60. #### var sortFastqOutput: Boolean

    Definition Classes
      TransformAlignmentsArgs → ADAMSaveAnyArgs

61. #### var sortLexicographically: Boolean

62. #### var sortReads: Boolean

63. #### var storageLevel: String

64. #### var stringency: String

65. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

66. #### def toString(): String

    Definition Classes
      AnyRef → Any

67. #### var unclipReads: Boolean

68. #### var useAlignedReadPredicate: Boolean

69. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

70. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

71. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from ParquetArgs

### Inherited from ADAMSaveAnyArgs

### Inherited from SaveArgs

### Inherited from ParquetRDDArgs

### Inherited from Args4jBase

### Inherited from AnyRef

### Inherited from Any

### Ungrouped